-- 
-- This is a specialacion for a AutoLoader.
-- Please NEVER use this in any other mod than the Lexion 550 uploaded by Michi77.
-- It is actually useless in any other mod, so just remove it.
-- Bitte NIE in einem anderem Mod als dem Lexion 550, der von Michi77 hochgeladen wurde, verwenden.
-- Da dieses Script eigentlich nutzlos ist, entfernt sie bitte in allen anderen Mods.
--
-- 07.08.2013 - Michi77
-- 



AutoLoader = {};

function AutoLoader.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations), SpecializationUtil.hasSpecialization(Combine, specializations);
end;

function AutoLoader:load(xmlFile)
end;

function AutoLoader:delete()
end;

function AutoLoader:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AutoLoader:keyEvent(unicode, sym, modifier, isDown)
end;

function AutoLoader:update(dt)
end;

function AutoLoader:stopMotor()
end;
	
function AutoLoader:onLeave()
end;

function AutoLoader:onEnter()
end;

function AutoLoader:draw()
end;
